Bug 154378 - Nautilis default window sizes are inappropriate
Nautilis default window sizes are inappropriate
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
8
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-11 04:33 EDT by Stephen Warren
Modified: 2015-03-03 17:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:52:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Warren 2005-04-11 04:33:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
Double-clicking "swarren's Home" on the desktop starts a new nautilus window. This is initially sized to about 1/4 my screen resolution, meaning that most of the information in "View as List" view is cut off, and a horizontal scrollbar is added. There's plenty of room on my screen for the initial window size to show all the information without resorting to a scrollbar. The window should be given an initial size that is sensible. Or, the system should remember the window size when it's closed, and restore that same size when I open the window again from that icon.

Version-Release number of selected component (if applicable):
nautilus-2.8.1-4

How reproducible:
Always

Steps to Reproduce:
1. Run nautilus by e.g. double-clicking the home dir icon on the desktop.
2. Note that window is too small horizontally to display all available information, even though there is *more* than enough screen space to do so.
3. Resize window to an appropriate size
4. Close window
5. Re-open window. Note that it again has an inappropriate size.
  

Actual Results:  See "Steps to reproduce"

Expected Results:  At step 2 in "Steps to reproduce", the system should pick a sensible default size for the window, or at step 5, the system should have remembered the users's explicit size selection.


Additional info:
Comment 1 Matthew Miller 2006-07-10 18:33:22 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Stephen Warren 2007-11-11 17:29:54 EST
This is partially still present in F8 (nautilus-2.20.0-6.fc8).

The default size of windows is still a little too narrow (~10% in my case).

At least when I resize the window it does remember that size when it's re-opened
now.

[This is why bugs in old releases should be closed out just because the release
is old - the bug won't magically go away or get fixed if it's ignored]
Comment 3 Bug Zapper 2008-11-26 01:49:50 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 01:52:29 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.